Auto Multiple Choice - Support # 514: Changement de la version stable sur MacPorts

Status: Closed Priority: Normal

Author: Joél Brogniart Category:

Created: 11/14/2017 Assignee:

Updated: 11/20/2017 Due date:

Description: Si ma proposition d'évolution du port dblatex avec une option +mactex (pour utiliser dblatex avec MacTeX)

est acceptée, j'envisage de changer le port AMC "stable" pour utiliser la version 2122 commit:098578f89993.
Le port d'AMC aussi aura une option +mactex pour utiliser MacTex au lieu de la version TexLive de
MacPorts. Cette option remplacerait I'ancienne option -latex (c'est une demande de la part des développeurs
pour homogénéiser).

Qu'en pensez vous ?

Je joins le fichier du port et un patch associé qui résoud le probléme issue #489.

History

11/14/2017 10:32 am - Joél Brogniart
D'ailleurs, ga me fait penser a un probleme.

Dans la phase de configuration du port je lance un @make version_files@ avec différentes options et particulierement @ TEXDIR@ et
@TEXDOCDIR@.

Tout fonctionne correctement pendant la phase de construction, mais lors de la phase d'installation, ce ne sont pas les variables que j'ai indiqué lors du
@make version_files@ qui sont utilisées, mais celles du fichier @Makefile-macports.conf@. Aussi, je suis obligé de les indiquer a nouveau dans la

phase MacPorts @pre-destroot@ pour qu'elles soient prises en compte a l'installation.

11/16/2017 09:26 am - Joél Brogniart

Pendant que j'y suis, serait-il possible, dans le fichier @Makefile-macports.conf@, de changer la ligne 83
<pre>

GCC_OPENCV_LIBS = -lopencv_core -lopencv_highgui -lopencv_imgproc

</pre>

en

<pre>

GCC_OPENCV_LIBS = -lopencv_core -lopencv_highgui -lopencv_imgproc -lopencv_imgcodecs

</pre>

D'ailleurs, ga me fait penser qu'il est possible d'ajouter une dépendance a pkg-config sur le port si ga peut aider (issue #368).
11/20/2017 02:45 pm - Alexis Bienvenlie

> Qu'en pensez vous ?

Je trouve que c'est une bonne idée. Avec la version commit:15d39fd2d4aa, qui integre les changements liés a OpenCV et a #489.

11/20/2017 03:56 pm - Joél Brogniart
Je viens de tester avec cette version et tout se passe bien. Merci pour les adaptations.

11/20/2017 03:57 pm - Alexis Bienvenlie
- Status changed from New to Closed

- % Done changed from 0 to 100
Files

Portfile 5.9 kB 11/14/2017 Joél Brogniart
patch-doc-makefile.diff 426 Bytes 11/14/2017 Joél Brogniart
